Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
lonely_haipro

[Help] Hỏi về lệnh Break 1 line và lisp cho nó

Các bài được khuyến nghị

Em đã tham khảo các topic về Break trên này nhưng vẫn không rõ! Tải lisp về thử nhưng vẫn không như ý mình muốn! Không biết có phải tại em thao tác sai không! Xin mọi người giúp đỡ.

Em có 1 đoạn thẳng AC có trung điểm tại B, và muốn cắt đoạn thẳng AC thành 2 đoạn ngay tại điểm B này thì phải dùng lệnh như thế nào ah? Hoặc có thể cắt đoặn AC này thành nhiều đoạn nhỏ hơn tại những điểm được chọn trước (vẽ điểm giao nhau, hoặc dùng lệnh DIV...)

Anh chị có thể giúp em một Lisp đơn giản được không ah?

Em đã dùng lisp của bác @Tue_NV bên toppic này: http://www.cadviet.com/forum/topic/8613-hoi-ve-lenh-break/

Lúc sử dụng thì chỉ có thể break tại điểm của "hình chữ nhật" (Điểm 1 và điểm 2 tạo thành hình chữ nhật này) Nhưng khi chọn điểm 1 và 2 cùng chung tại 1 điểm thì lisp này không hoạt động, đoạn thẳng vẫn không bị cắt! 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
anhduccec    21

Dùng lisp này:

(defun c:BR  (/ os)
(setq os (getvar "osmode"))
(setvar "osmode" 546)  
(command "break" pause "f"  pause  "@")  
(setvar "osmode"  os)(princ))

 

(defun c:BR  (/ os)

Bạn có thể thay "osmode" 546 bằng số khác (546 gồm int, near, mid).

(setq os (getvar "osmode"))
(setvar "osmode" 546)   
(command "break" pause "f"  pause  "@")   
 
(defun c:BR  (/ os)
(setq os (getvar "osmode"))
(setvar "osmode" 546)   
(command "break" pause "f"  pause  "@")   
(setvar "osmode"  os)(princ))
(defun c:BR  (/ os)
(setq os (getvar "osmode"))
(setvar "osmode" 546)   
(command "break" pause "f"  pause  "@")   
(setvar "osmode"  os)(princ))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.676

Em đã tham khảo các topic về Break trên này nhưng vẫn không rõ! Tải lisp về thử nhưng vẫn không như ý mình muốn! Không biết có phải tại em thao tác sai không! Xin mọi người giúp đỡ.

Em có 1 đoạn thẳng AC có trung điểm tại B, và muốn cắt đoạn thẳng AC thành 2 đoạn ngay tại điểm B này thì phải dùng lệnh như thế nào ah? Hoặc có thể cắt đoặn AC này thành nhiều đoạn nhỏ hơn tại những điểm được chọn trước (vẽ điểm giao nhau, hoặc dùng lệnh DIV...)

Anh chị có thể giúp em một Lisp đơn giản được không ah?

Em đã dùng lisp của bác @Tue_NV bên toppic này: http://www.cadviet.com/forum/topic/8613-hoi-ve-lenh-break/

Lúc sử dụng thì chỉ có thể break tại điểm của "hình chữ nhật" (Điểm 1 và điểm 2 tạo thành hình chữ nhật này) Nhưng khi chọn điểm 1 và 2 cùng chung tại 1 điểm thì lisp này không hoạt động, đoạn thẳng vẫn không bị cắt! 

1 ví dụ về dùng lệnh Cad để Break tại điểm giữa:

Command: br

BREAK Select object: chọn đối tượng

Specify second break point or [First point]: f

Specify first break point: _mid of

Specify second break point: @

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×